Search for customers
curl --request GET \
--url https://dev.sbx.imprint.co/v2/customers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/customers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"email": "customer@example.com",
"phone": "+14155552671",
"statuses": {
"Card Program Name": "OPEN"
},
"first_name": "John",
"last_name": "Doe",
"preferred_language": "en",
"ssn4": "1234",
"date_of_birth": {
"year": 1990,
"month": 1,
"day": 1
},
"address": {
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
},
"partner_customer_id": "PARTNER_USER_456",
"metadata": {
"preferred_language": "en"
},
"created_at": "2025-02-13T19:08:07.000Z",
"updated_at": "2025-02-13T19:08:07.000Z"
}
],
"has_more": true,
"total": 123
}Customers
Search for customers
GET
/
v2
/
customers
Search for customers
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Query Parameters
The unique identifier for the customer in the partner's system
Limits the number of returned results
Required range:
x >= 1A cursor for use in pagination. An id that defines your place in the list.
⌘I